Crypto Token Future Kline data (no cursor pagination)
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/crypto/futures/ohlcv \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/crypto/futures/ohlcv"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/crypto/futures/ohlcv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"price_close": 123,
"price_high": 123,
"price_low": 123,
"price_open": 123,
"time_close": 123,
"time_open": 123,
"time_period_end": "<string>",
"time_period_start": "<string>",
"trades_count": 123,
"volume_traded": 123
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Crypto
Crypto Token Future Kline data (no cursor pagination)
OpenAPI JSON Spec Retrieve K-line (candlestick) chart data for a specified crypto token futures using a non-cursor gRPC endpoint to reduce latency.
GET
/
v1
/
crypto
/
futures
/
ohlcv
Crypto Token Future Kline data (no cursor pagination)
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Crypto token symbol, ex: BTC, ETH, SOL
Start time (Unix timestamp in seconds, must be > 0)
End time (Unix timestamp in seconds, must be > start_time)
Time interval for K-line data
Available options:
1min, 2min, 3min, 5min, 10min, 15min, 30min, 45min, 1h, 2h, 4h, 6h, 8h, 12h, 1d, 3d, 1w, 1m, 3m, 6m Maximum number of data points to return (default 500, max 10000)
⌘I

